List software components
curl --request GET \
--url https://api.app.chainloop.dev/v1/components \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.app.chainloop.dev/v1/components"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.app.chainloop.dev/v1/components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.chainloop.dev/v1/components",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.app.chainloop.dev/v1/components"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.app.chainloop.dev/v1/components")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.app.chainloop.dev/v1/components")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"pagination": {
"next_cursor": "next_cursor"
},
"results": [
{
"component_type": "component_type",
"children": [
null,
null
],
"name": "name",
"cpe": "cpe",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"purl": "purl",
"findings_summary": {
"total": 0,
"high": 1,
"critical": 6,
"low": 5,
"medium": 5,
"unknown": 2
},
"version": "version",
"auto_generated_purl": true,
"parents": [
null,
null
]
},
{
"component_type": "component_type",
"children": [
null,
null
],
"name": "name",
"cpe": "cpe",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"purl": "purl",
"findings_summary": {
"total": 0,
"high": 1,
"critical": 6,
"low": 5,
"medium": 5,
"unknown": 2
},
"version": "version",
"auto_generated_purl": true,
"parents": [
null,
null
]
}
]
}{
"code": 0,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 6,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 1,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
{
"@type": "@type"
},
{
"@type": "@type"
}
],
"message": "message"
}List software components
List the software components (SBOM) registered in your organization, optionally filtered by project version or product version.
GET
/
v1
/
components
List software components
curl --request GET \
--url https://api.app.chainloop.dev/v1/components \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.app.chainloop.dev/v1/components"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.app.chainloop.dev/v1/components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.chainloop.dev/v1/components",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.app.chainloop.dev/v1/components"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.app.chainloop.dev/v1/components")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.app.chainloop.dev/v1/components")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"pagination": {
"next_cursor": "next_cursor"
},
"results": [
{
"component_type": "component_type",
"children": [
null,
null
],
"name": "name",
"cpe": "cpe",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"purl": "purl",
"findings_summary": {
"total": 0,
"high": 1,
"critical": 6,
"low": 5,
"medium": 5,
"unknown": 2
},
"version": "version",
"auto_generated_purl": true,
"parents": [
null,
null
]
},
{
"component_type": "component_type",
"children": [
null,
null
],
"name": "name",
"cpe": "cpe",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"purl": "purl",
"findings_summary": {
"total": 0,
"high": 1,
"critical": 6,
"low": 5,
"medium": 5,
"unknown": 2
},
"version": "version",
"auto_generated_purl": true,
"parents": [
null,
null
]
}
]
}{
"code": 0,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 6,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 1,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
{
"@type": "@type"
},
{
"@type": "@type"
}
],
"message": "message"
}